Show / Hide Table of Contents

# Class BuddyList

This collection represents the buddies present in your squadron or trust party. It does not include the local player.

##### Inheritance

System.Object
BuddyList

##### Implements

IServiceType
System.Collections.Generic.IReadOnlyCollection<BuddyMember>
System.Collections.Generic.IEnumerable<BuddyMember>
System.Collections.IEnumerable

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.Buddy

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class BuddyList : IServiceType, IReadOnlyCollection<BuddyMember>, IEnumerable<BuddyMember>, IEnumerable

### Properties

| Improve this Doc View Source

#### CompanionBuddy

Gets the active companion buddy.

##### Declaration

    public BuddyMember CompanionBuddy { get; }

##### Property Value

Type | Description
--- | ---
BuddyMember |

| Improve this Doc View Source

#### CompanionBuddyPresent

Gets a value indicating whether the local player's companion is present.

##### Declaration

    public bool CompanionBuddyPresent { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Item[Int32]

Gets a battle buddy at the specified spawn index.

##### Declaration

    public BuddyMember this[int index] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index | Spawn index.

##### Property Value

Type | Description
--- | ---
BuddyMember | A BuddyMember at the specified spawn index.

| Improve this Doc View Source

#### Length

Gets the amount of battle buddies the local player has.

##### Declaration

    public int Length { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### PetBuddy

Gets the active pet buddy.

##### Declaration

    public BuddyMember PetBuddy { get; }

##### Property Value

Type | Description
--- | ---
BuddyMember |

| Improve this Doc View Source

#### PetBuddyPresent

Gets a value indicating whether the local player's pet is present.

##### Declaration

    public bool PetBuddyPresent { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

### Methods

| Improve this Doc View Source

#### CreateBuddyMemberReference(IntPtr)

Create a reference to a buddy.

##### Declaration

    public BuddyMember CreateBuddyMemberReference(IntPtr address)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | address | The address of the buddy in memory.

##### Returns

Type | Description
--- | ---
BuddyMember | BuddyMember object containing the requested data.

| Improve this Doc View Source

#### GetBattleBuddyMemberAddress(Int32)

Gets the address of the battle buddy at the specified index of the buddy list.

##### Declaration

    public IntPtr GetBattleBuddyMemberAddress(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index | The index of the battle buddy.

##### Returns

Type | Description
--- | ---
System.IntPtr | The memory address of the battle buddy.

| Improve this Doc View Source

#### GetCompanionBuddyMemberAddress()

Gets the address of the companion buddy.

##### Declaration

    public IntPtr GetCompanionBuddyMemberAddress()

##### Returns

Type | Description
--- | ---
System.IntPtr | The memory address of the companion buddy.

| Improve this Doc View Source

#### GetEnumerator()

##### Declaration

    public IEnumerator<BuddyMember> GetEnumerator()

##### Returns

Type | Description
--- | ---
System.Collections.Generic.IEnumerator<BuddyMember> |

| Improve this Doc View Source

#### GetPetBuddyMemberAddress()

Gets the address of the pet buddy.

##### Declaration

    public IntPtr GetPetBuddyMemberAddress()

##### Returns

Type | Description
--- | ---
System.IntPtr | The memory address of the pet buddy.

### Explicit Interface Implementations

| Improve this Doc View Source

#### IReadOnlyCollection<BuddyMember>.Count

##### Declaration

    int IReadOnlyCollection<BuddyMember>.Count { get; }

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### IEnumerable.GetEnumerator()

##### Declaration

    IEnumerator IEnumerable.GetEnumerator()

##### Returns

Type | Description
--- | ---
System.Collections.IEnumerator |

### Implements

IServiceType
System.Collections.Generic.IReadOnlyCollection<T>
System.Collections.Generic.IEnumerable<T>
System.Collections.IEnumerable